Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface FunctionalProperty

All Superinterfaces:
  FrontsNode, OntProperty, OntResource, Property, RDFNode, Resource

    public interface FunctionalProperty

extends OntProperty

Interface encapsulating the class of properties that are functional: that is, properties in which a given given domain value has a unique value in the range. Both `datatype` and `object` properties may be functional, so this interface is defined to extend the general super-interface `OntProperty`.

Version:
  CVS $Id: FunctionalProperty.java,v 1.7 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary

Methods inherited from interface com.hp.hpl.jena.ontology.OntProperty
`addDomain, addEquivalentProperty, addInverseOf, addRange, addSubProperty, addSuperProperty, asDatatypeProperty, asFunctionalProperty, asInverseFunctionalProperty, asObjectProperty, asSymmetricProperty, asTransitiveProperty, convertToDatatypeProperty, convertToFunctionalProperty, convertToInverseFunctionalProperty, convertToObjectProperty, convertToSymmetricProperty, convertToTransitiveProperty, getDomain, getEquivalentProperty, getInverse, getInverseOf, getRange, getSubProperty, getSuperProperty, hasDomain, hasEquivalentProperty, hasInverse, hasRange, hasSubProperty, hasSuperProperty, isDatatypeProperty, isFunctionalProperty, isInverseFunctionalProperty, isInverseOf, isObjectProperty, isSymmetricProperty, isTransitiveProperty, listDeclaringClasses, listDeclaringClasses, listDomain, listEquivalentProperties, listInverse, listInverseOf, listRange, listReferringRestrictions, listSubProperties, listSubProperties, listSuperProperties, listSuperProperties, removeDomain, removeEquivalentProperty, removeInverseProperty, removeRange, removeSubProperty, removeSuperProperty, setDomain, setEquivalentProperty, setInverseOf, setRange, setSubProperty, setSuperProperty`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asIndividual, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDefinedBy, isDifferentFrom, isIndividual, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Property
`getLocalName, getNameSpace, getOrdinal, isProperty`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getModel, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP